// Setup dotfiles into process.env
require("dotenv").config();

console.log("[DEV] Creating the mongodb in memory server");
const { MongoMemoryServer } = require("mongodb-memory-server");

const mongoptions = {
  instance: {
    port: 27017,
    dbName: process.env.MONGO_DBNAME || "backend-js-api",
  },
};
const runServer = async () => {
  const mongod = new MongoMemoryServer(mongoptions);
  await mongod.start({
    forceSamePort: true,
  });
  uri = mongod.getUri();
  console.log(uri);
};

runServer();
